%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 1.1.2
%define kderelease 3j1
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename  korganizer
Name: %{kdename}
Summary: A calendar and scheduling program for KDE.
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Patch0: korganizer-1.1.2-fixsegfault.patch
License: GPL
Group: Applications/Productivity
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}

%description
KOrganizer is a complete calendar and scheduling program for the K
Desktop Environment (KDE), a GUI desktop for X.  KOrganizer supports
information interchange with other calendar applications through the
industry standard vCalendar file format.

Install korganizer if you need a scheduling program for KDE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n korganizer
%patch0 -p1 -b .fixsegfault

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
make -f Makefile.cvs
%configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--enable-debug

make

%install
make install prefix=$RPM_BUILD_ROOT%{kdeprefix}
find $RPM_BUILD_ROOT%{kdeprefix}/bin/* || :

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Mar 14 2000 Matt Wilson <msw@redhat.com>
- rebuilt against qt + i18n patch for 6.2j release

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- fix segfault in alarm daemon the first time korganizer is run

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- fix stripping

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current KDE_1_1_BRANCH (1.1.2 with fixes)
- rebuild for Red Hat Linux 6.2
- work around Makefile breakage (make install-strip failures)

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for KDE 1.1.2 / Red Hat Linux 6.1

* Mon Jun 21 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.1 snapshot

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated to today's snapshot, called it '3pgb'.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- updates for our own release

* Sun Dec 20 1998 Duncan Haldane <f.d.m.haldane@cwix.com>
- adapted for the KDE-1.1 release

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- updated file specification to pick up config files as such.








